# Multiple cards

## Find cards.

> This returns cards matching the provided query parameters.

```json
{"openapi":"3.0.3","info":{"title":"Grand Archive API","version":"1.1.0"},"servers":[{"url":"https://api.gatcg.com","description":"Production server (uses live data)"}],"paths":{"/cards/search":{"get":{"operationId":"GetCardsAPISpec_get_/search","tags":["Multiple cards"],"summary":"Find cards.","description":"This returns cards matching the provided query parameters.","parameters":[{"description":"Get cards with any `class` value included in this list.","name":"class","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"description":"Use this to adjust how cards are targeted by the `class` query parameter. `OR` includes any card which includes one or more of the `class` values, whilst `AND` only matches cards that include all of the specified `class` values.","name":"class_logic","in":"query","required":false,"schema":{"default":"OR","enum":["AND","OR"],"type":"string"}},{"description":"Include or exclude editions which have collaborators.","name":"collab","in":"query","required":false,"schema":{"type":"boolean"}},{"description":"Get a card with an edition's `collector_number` that exactly matches this string.","name":"collector_number","in":"query","required":false,"schema":{"type":"string"}},{"description":"Find cards using a specific configuration.","name":"configuration","in":"query","required":false,"schema":{"enum":["default","flip"],"type":"string"}},{"description":"Get a card with an edition's `effect_raw` that is similar to this string.","name":"edition_effect","in":"query","required":false,"schema":{"type":"string"}},{"description":"Get a card with an edition's `flavor` that is similar to this string.","name":"edition_flavor","in":"query","required":false,"schema":{"type":"string"}},{"description":"Get a card with an edition's `last_update` date greater than this value.","name":"edition_last_update","in":"query","required":false,"schema":{"format":"date","type":"string"}},{"description":"Get a card with an edition's `slug` that exactly matches this string.","name":"edition_slug","in":"query","required":false,"schema":{"type":"string"}},{"description":"Get a card with `effect_raw` or edition `effect_raw` that is similar to this string.","name":"effect","in":"query","required":false,"schema":{"type":"string"}},{"description":"Get cards with any `elements` value included in this list. `\\\"null\\\"` can be used to match cards with no element.","name":"element","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"description":"Use this to adjust how cards are targeted by the `element` query parameter. `OR` includes any card which includes one or more of the `elements` values, whilst `AND` only matches cards that include all of the specified `elements` values.","name":"element_logic","in":"query","required":false,"schema":{"default":"OR","enum":["AND","OR"],"type":"string"}},{"description":"Get a card with a `flavor` that is similar to this string.","name":"flavor","in":"query","required":false,"schema":{"type":"string"}},{"description":"Get a card with an edition's `illustrator` that exactly matches this string. `\"null\"` can be used to match cards with no illustrator.","name":"illustrator","in":"query","required":false,"schema":{"type":"string"}},{"description":"Get a card with an edition's set's `language` that exactly matches this string.","name":"language","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"description":"Get a card with a `last_update` date greater than this value.","name":"last_update","in":"query","required":false,"schema":{"format":"date","type":"string"}},{"description":"Used in parallel with `legality_limit`, specify which game format to target.","name":"legality_format","in":"query","required":false,"schema":{"enum":["DRAFT","PANTHEON","STANDARD"],"type":"string"}},{"description":"Used in parallel with `legality_format`, specify an exact card limit.","name":"legality_limit","in":"query","required":false,"schema":{"type":"number"}},{"description":"Used in parallel with `legality_format`, specify whether a card is legal or restricted.\nThis is ignored if `legality_limit` is specified.","name":"legality_state","in":"query","required":false,"schema":{"default":"ANY","enum":["ANY","LEGAL","RESTRICTED"],"type":"string"}},{"description":"Get a card with a `name` that is similar to this string.","name":"name","in":"query","required":false,"schema":{"type":"string"}},{"description":"Specify the order to return the matching results in.","name":"order","in":"query","required":false,"schema":{"default":"ASC","enum":["ASC","DESC"],"type":"string"}},{"description":"Move to a specific `page` of results.","name":"page","in":"query","required":false,"schema":{"default":1,"minimum":1,"type":"number"}},{"description":"Specify how many results to include per page.","name":"page_size","in":"query","required":false,"schema":{"default":50,"maximum":50,"minimum":1,"type":"number"}},{"description":"Get a cards with any edition's set's `prefix` included in this list.","name":"prefix","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"description":"Get a card with an edition's `rarity` that exactly matches this number.","name":"rarity","in":"query","required":false,"schema":{"type":"number"}},{"description":"Get a card with a `rule` whose `title` or `description` contains this case-insensitive string.","name":"rule","in":"query","required":false,"schema":{"type":"string"}},{"description":"Get a card with a `rule` whose `title` exactly matches this case-insensitive string. `\"null\"` can be used to match cards with rules that have no title.","name":"rule_title","in":"query","required":false,"schema":{"type":"string"}},{"description":"Split each `result_edition` into its own dedicated `data` entry. By default all editions shared by cards of the same name are grouped together, however it may be more desirable in some cases to split these editions into their own results.","name":"separate_editions","in":"query","required":false,"schema":{"type":"boolean"}},{"description":"Get a card with a `slug` that exactly matches this string.","name":"slug","in":"query","required":false,"schema":{"type":"string"}},{"description":"Get a card by its speed stat.","name":"speed","in":"query","required":false,"schema":{"type":"array","items":{"enum":["fast","none","slow"],"type":"string"}}},{"description":"Get a card whose numeric stats are contained within a semicolon-delimited list of values.","name":"stats","in":"query","required":false,"schema":{"type":"string"}},{"description":"Specify the primary card or edition field the results are sorted by.","name":"sort","in":"query","required":false,"schema":{"default":"collector_number","enum":["collector_number","cost_memory","cost_reserve","durability","level","life","name","power","rarity"],"type":"string"}},{"description":"Get cards with any `subtype` value included in this list.","name":"subtype","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"description":"Use this to adjust how cards are targeted by the `subtype` query parameter. `OR` includes any card which includes one or more of the `subtype` values, whilst `AND` only matches cards that include all of the specified `subtype` values.","name":"subtype_logic","in":"query","required":false,"schema":{"default":"OR","enum":["AND","OR"],"type":"string"}},{"description":"Get cards with any `type` value included in this list.","name":"type","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"description":"Use this to adjust how cards are targeted by the `type` query parameter. `OR` includes any card which includes one or more of the `type` values, whilst `AND` only matches cards that include all of the specified `type` values.","name":"type_logic","in":"query","required":false,"schema":{"default":"OR","enum":["AND","OR"],"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"description":"A list of matching cards.","type":"array","items":{"description":"The Card type describes a uniquely-named card, with child Edition types denoting different releases.","type":"object","properties":{"classes":{"description":"The card's classes. The possible values are revealed by the `option/search` endpoint.","type":"array","items":{"type":"string"}},"cost_memory":{"$ref":"#/components/schemas/CardCostMemory"},"cost_reserve":{"$ref":"#/components/schemas/CardCostReserve"},"cost":{"description":"The card's cost.","type":"object","properties":{"type":{"description":"The cost type.","enum":["memory","none","reserve"],"type":"string"},"value":{"description":"The cost value.\nThis is a number represented as a string, or a dynamic cost like `\"X\"`.\nThis is only `null` if the cost type is `\"none\"`.","type":"string","nullable":true}},"additionalProperties":false,"required":["type","value"]},"created_at":{"description":"When the dataset was created.","type":"string","format":"date-time"},"durability":{"$ref":"#/components/schemas/CardStatDurability"},"editions":{"description":"A list of all editions this card is a parent of.","type":"array","items":{"description":"The Edition type describes a specific release of its parent Card.","type":"object","properties":{"card_id":{"description":"A 10-character alphanumeric UUID.","type":"string"},"circulationTemplates":{"description":"Templated prints of this edition which are shared with other editions of this or any other card.","type":"array","items":{"$ref":"#/components/schemas/CirculationTemplate"}},"circulations":{"description":"Non-templated prints of this edition which are not shared with other editions of any other card.","type":"array","items":{"$ref":"#/components/schemas/Circulation"}},"collaborators":{"description":"Collaborators that worked on the edition's artwork alongside the edition's illustrator.","type":"array","items":{"type":"string"}},"collector_number":{"description":"The edition's collector number in the set it belongs to.","type":"string"},"configuration":{"$ref":"#/components/schemas/EditionConfiguration"},"created_at":{"description":"When the dataset was created.","type":"string","format":"date-time"},"effect":{"$ref":"#/components/schemas/EditionEffect"},"effect_html":{"$ref":"#/components/schemas/EditionEffectHTML"},"effect_raw":{"$ref":"#/components/schemas/EditionEffectRaw"},"flavor":{"$ref":"#/components/schemas/EditionFlavor"},"illustrator":{"$ref":"#/components/schemas/EditionIllustrator"},"image":{"description":"An API image path (`/cards/images/example.jpg` implies `https://api.gatcg.com/cards/images/example.jpg`).","type":"string"},"last_update":{"description":"When the dataset was last updated.","type":"string","format":"date-time"},"orientation":{"$ref":"#/components/schemas/EditionOrientation"},"other_orientations":{"description":"Other orientations related to this edition.","type":"array","items":{"description":"Other orientations that relate to this one. This will return the back face for editions with an `orientation` set to `\"front\"`, and vice versa.","type":"object","properties":{"classes":{"description":"The card's classes. The possible values are revealed by the `option/search` endpoint.","type":"array","items":{"type":"string"}},"cost":{"description":"The card's cost.","type":"object","properties":{"type":{"description":"The cost type.","enum":["memory","none","reserve"],"type":"string"},"value":{"description":"The cost value.\nThis is a number represented as a string, or a dynamic cost like `\"X\"`.\nThis is only `null` if the cost type is `\"none\"`.","type":"string","nullable":true}},"additionalProperties":false,"required":["type","value"]},"cost_memory":{"$ref":"#/components/schemas/CardCostMemory"},"cost_reserve":{"$ref":"#/components/schemas/CardCostReserve"},"created_at":{"type":"string","format":"date-time"},"durability":{"$ref":"#/components/schemas/CardStatDurability"},"edition":{"type":"object","properties":{"card_id":{"type":"string"},"collaborators":{"type":"array","items":{"type":"string"}},"collector_number":{"type":"string"},"configuration":{"$ref":"#/components/schemas/EditionConfiguration"},"created_at":{"type":"string","format":"date-time"},"effect":{"$ref":"#/components/schemas/EditionEffect"},"effect_html":{"$ref":"#/components/schemas/EditionEffectHTML"},"effect_raw":{"$ref":"#/components/schemas/EditionEffectRaw"},"flavor":{"$ref":"#/components/schemas/EditionFlavor"},"illustrator":{"$ref":"#/components/schemas/EditionIllustrator"},"image":{"type":"string"},"last_update":{"type":"string","format":"date-time"},"orientation":{"$ref":"#/components/schemas/EditionOrientation"},"rarity":{"type":"number"},"set":{"type":"object","properties":{"created_at":{"description":"When the dataset was created.","type":"string","format":"date-time"},"id":{"description":"A 10-character alphanumeric UUID.","type":"string"},"language":{"description":"The language used by the dataset.","type":"string"},"last_update":{"description":"When the dataset was last updated.","type":"string","format":"date-time"},"name":{"description":"The name of the set.","type":"string"},"prefix":{"description":"The set's prefix as printed in the footer of its cards.","type":"string"},"release_date":{"description":"When the set was publicly-released.","type":"string","format":"date-time"}},"additionalProperties":false,"required":["created_at","id","language","last_update","name","prefix","release_date"]},"slug":{"type":"string"},"thema_charm_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_ferocity_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_foil":{"$ref":"#/components/schemas/EditionThemaScoreTotal"},"thema_grace_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_mystique_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_valor_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_charm_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_ferocity_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_grace_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_mystique_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_nonfoil":{"$ref":"#/components/schemas/EditionThemaScoreTotal"},"thema_valor_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_foil_dynamic":{"type":"boolean"},"thema_nonfoil_dynamic":{"type":"boolean"},"uuid":{"type":"string"}},"additionalProperties":false,"required":["card_id","collaborators","collector_number","configuration","created_at","effect","effect_html","effect_raw","flavor","illustrator","image","last_update","orientation","rarity","set","slug","thema_charm_foil","thema_charm_nonfoil","thema_ferocity_foil","thema_ferocity_nonfoil","thema_foil","thema_foil_dynamic","thema_grace_foil","thema_grace_nonfoil","thema_mystique_foil","thema_mystique_nonfoil","thema_nonfoil","thema_nonfoil_dynamic","thema_valor_foil","thema_valor_nonfoil","uuid"]},"edition_id":{"type":"string"},"effect":{"$ref":"#/components/schemas/CardEffectTemplate"},"effect_html":{"$ref":"#/components/schemas/CardEffectHTML"},"effect_raw":{"$ref":"#/components/schemas/CardEffectRaw"},"element":{"type":"string"},"elements":{"type":"array","items":{"type":"string"}},"flavor":{"$ref":"#/components/schemas/CardFlavor"},"last_update":{"type":"string","format":"date-time"},"level":{"$ref":"#/components/schemas/CardStatLevel"},"life":{"$ref":"#/components/schemas/CardStatLife"},"name":{"type":"string"},"power":{"$ref":"#/components/schemas/CardStatPower"},"slug":{"type":"string"},"speed":{"$ref":"#/components/schemas/CardStatSpeed"},"subtypes":{"description":"The card's subtypes. The possible values are revealed by the `option/search` endpoint.","type":"array","items":{"type":"string"}},"types":{"description":"The card's types. The possible values are revealed by the `option/search` endpoint.","type":"array","items":{"type":"string"}},"uuid":{"type":"string"}},"additionalProperties":false,"required":["classes","cost","cost_memory","cost_reserve","created_at","durability","edition","edition_id","effect","effect_html","effect_raw","element","elements","flavor","last_update","level","life","name","power","slug","speed","subtypes","types","uuid"]}},"rarity":{"description":"The edition's rarity. The possible values are revealed by the `option/search` endpoint.","type":"number"},"slug":{"description":"The edition's URL-friendly slug. This is usually in the format `{card-slug}-{set-prefix}`, but can be extended if additional context is required.","type":"string"},"set":{"type":"object","properties":{"created_at":{"description":"When the dataset was created.","type":"string","format":"date-time"},"id":{"description":"A 10-character alphanumeric UUID.","type":"string"},"language":{"description":"The language used by the dataset.","type":"string"},"last_update":{"description":"When the dataset was last updated.","type":"string","format":"date-time"},"name":{"description":"The name of the set.","type":"string"},"prefix":{"description":"The set's prefix as printed in the footer of its cards.","type":"string"},"release_date":{"description":"When the set was publicly-released.","type":"string","format":"date-time"}},"additionalProperties":false,"required":["created_at","id","language","last_update","name","prefix","release_date"]},"thema_charm_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_ferocity_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_foil":{"$ref":"#/components/schemas/EditionThemaScoreTotal"},"thema_grace_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_mystique_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_valor_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_charm_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_ferocity_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_grace_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_mystique_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_nonfoil":{"$ref":"#/components/schemas/EditionThemaScoreTotal"},"thema_valor_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_foil_dynamic":{"description":"Determines if the Thema scores for the edition are dynamic.\nDynamic Thema scores update daily and are primarily used for added randomization in Path of Silver events.","type":"boolean"},"thema_nonfoil_dynamic":{"description":"Determines if the Thema scores for the edition are dynamic.\nDynamic Thema scores update daily and are primarily used for added randomization in Path of Silver events.","type":"boolean"},"uuid":{"description":"A 10-character alphanumeric UUID.","type":"string"}},"additionalProperties":false,"required":["card_id","circulationTemplates","circulations","collaborators","collector_number","configuration","created_at","effect","effect_html","effect_raw","flavor","illustrator","image","last_update","orientation","other_orientations","rarity","set","slug","thema_charm_foil","thema_charm_nonfoil","thema_ferocity_foil","thema_ferocity_nonfoil","thema_foil","thema_foil_dynamic","thema_grace_foil","thema_grace_nonfoil","thema_mystique_foil","thema_mystique_nonfoil","thema_nonfoil","thema_nonfoil_dynamic","thema_valor_foil","thema_valor_nonfoil","uuid"]}},"element":{"description":"The card's element. The possible values are revealed by the `option/search` endpoint.","type":"string","deprecated":true},"elements":{"description":"The card's element(s). The possible values are revealed by the `option/search` endpoint.","type":"array","items":{"type":"string"}},"effect":{"$ref":"#/components/schemas/CardEffectTemplate"},"effect_html":{"$ref":"#/components/schemas/CardEffectHTML"},"effect_raw":{"$ref":"#/components/schemas/CardEffectRaw"},"flavor":{"$ref":"#/components/schemas/CardFlavor"},"last_update":{"description":"When the dataset was last updated.","type":"string","format":"date-time"},"legality":{"$ref":"#/components/schemas/CardLegality"},"level":{"$ref":"#/components/schemas/CardStatLevel"},"life":{"$ref":"#/components/schemas/CardStatLife"},"name":{"description":"The card's name.","type":"string"},"power":{"$ref":"#/components/schemas/CardStatPower"},"referenced_by":{"description":"References made to this card by other cards.","type":"array","items":{"type":"object","properties":{"direction":{"type":"string","enum":["FROM"]},"kind":{"$ref":"#/components/schemas/CardReferenceKind"},"name":{"description":"The card's name.","type":"string"},"slug":{"description":"The card's URL-friendly slug.","type":"string"}},"additionalProperties":false,"required":["direction","kind","name","slug"]}},"references":{"description":"References this card makes to other cards.","type":"array","items":{"type":"object","properties":{"direction":{"type":"string","enum":["TO"]},"kind":{"$ref":"#/components/schemas/CardReferenceKind"},"name":{"description":"The card's name.","type":"string"},"slug":{"description":"The card's URL-friendly slug.","type":"string"}},"additionalProperties":false,"required":["direction","kind","name","slug"]}},"result_editions":{"description":"A list of all editions this card is a parent of which match the given query.","type":"array","items":{"description":"The Edition type describes a specific release of its parent Card.","type":"object","properties":{"card_id":{"description":"A 10-character alphanumeric UUID.","type":"string"},"circulationTemplates":{"description":"Templated prints of this edition which are shared with other editions of this or any other card.","type":"array","items":{"$ref":"#/components/schemas/CirculationTemplate"}},"circulations":{"description":"Non-templated prints of this edition which are not shared with other editions of any other card.","type":"array","items":{"$ref":"#/components/schemas/Circulation"}},"collaborators":{"description":"Collaborators that worked on the edition's artwork alongside the edition's illustrator.","type":"array","items":{"type":"string"}},"collector_number":{"description":"The edition's collector number in the set it belongs to.","type":"string"},"configuration":{"$ref":"#/components/schemas/EditionConfiguration"},"created_at":{"description":"When the dataset was created.","type":"string","format":"date-time"},"effect":{"$ref":"#/components/schemas/EditionEffect"},"effect_html":{"$ref":"#/components/schemas/EditionEffectHTML"},"effect_raw":{"$ref":"#/components/schemas/EditionEffectRaw"},"flavor":{"$ref":"#/components/schemas/EditionFlavor"},"illustrator":{"$ref":"#/components/schemas/EditionIllustrator"},"image":{"description":"An API image path (`/cards/images/example.jpg` implies `https://api.gatcg.com/cards/images/example.jpg`).","type":"string"},"last_update":{"description":"When the dataset was last updated.","type":"string","format":"date-time"},"orientation":{"$ref":"#/components/schemas/EditionOrientation"},"other_orientations":{"description":"Other orientations related to this edition.","type":"array","items":{"description":"Other orientations that relate to this one. This will return the back face for editions with an `orientation` set to `\"front\"`, and vice versa.","type":"object","properties":{"classes":{"description":"The card's classes. The possible values are revealed by the `option/search` endpoint.","type":"array","items":{"type":"string"}},"cost":{"description":"The card's cost.","type":"object","properties":{"type":{"description":"The cost type.","enum":["memory","none","reserve"],"type":"string"},"value":{"description":"The cost value.\nThis is a number represented as a string, or a dynamic cost like `\"X\"`.\nThis is only `null` if the cost type is `\"none\"`.","type":"string","nullable":true}},"additionalProperties":false,"required":["type","value"]},"cost_memory":{"$ref":"#/components/schemas/CardCostMemory"},"cost_reserve":{"$ref":"#/components/schemas/CardCostReserve"},"created_at":{"type":"string","format":"date-time"},"durability":{"$ref":"#/components/schemas/CardStatDurability"},"edition":{"type":"object","properties":{"card_id":{"type":"string"},"collaborators":{"type":"array","items":{"type":"string"}},"collector_number":{"type":"string"},"configuration":{"$ref":"#/components/schemas/EditionConfiguration"},"created_at":{"type":"string","format":"date-time"},"effect":{"$ref":"#/components/schemas/EditionEffect"},"effect_html":{"$ref":"#/components/schemas/EditionEffectHTML"},"effect_raw":{"$ref":"#/components/schemas/EditionEffectRaw"},"flavor":{"$ref":"#/components/schemas/EditionFlavor"},"illustrator":{"$ref":"#/components/schemas/EditionIllustrator"},"image":{"type":"string"},"last_update":{"type":"string","format":"date-time"},"orientation":{"$ref":"#/components/schemas/EditionOrientation"},"rarity":{"type":"number"},"set":{"type":"object","properties":{"created_at":{"description":"When the dataset was created.","type":"string","format":"date-time"},"id":{"description":"A 10-character alphanumeric UUID.","type":"string"},"language":{"description":"The language used by the dataset.","type":"string"},"last_update":{"description":"When the dataset was last updated.","type":"string","format":"date-time"},"name":{"description":"The name of the set.","type":"string"},"prefix":{"description":"The set's prefix as printed in the footer of its cards.","type":"string"},"release_date":{"description":"When the set was publicly-released.","type":"string","format":"date-time"}},"additionalProperties":false,"required":["created_at","id","language","last_update","name","prefix","release_date"]},"slug":{"type":"string"},"thema_charm_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_ferocity_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_foil":{"$ref":"#/components/schemas/EditionThemaScoreTotal"},"thema_grace_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_mystique_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_valor_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_charm_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_ferocity_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_grace_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_mystique_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_nonfoil":{"$ref":"#/components/schemas/EditionThemaScoreTotal"},"thema_valor_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_foil_dynamic":{"type":"boolean"},"thema_nonfoil_dynamic":{"type":"boolean"},"uuid":{"type":"string"}},"additionalProperties":false,"required":["card_id","collaborators","collector_number","configuration","created_at","effect","effect_html","effect_raw","flavor","illustrator","image","last_update","orientation","rarity","set","slug","thema_charm_foil","thema_charm_nonfoil","thema_ferocity_foil","thema_ferocity_nonfoil","thema_foil","thema_foil_dynamic","thema_grace_foil","thema_grace_nonfoil","thema_mystique_foil","thema_mystique_nonfoil","thema_nonfoil","thema_nonfoil_dynamic","thema_valor_foil","thema_valor_nonfoil","uuid"]},"edition_id":{"type":"string"},"effect":{"$ref":"#/components/schemas/CardEffectTemplate"},"effect_html":{"$ref":"#/components/schemas/CardEffectHTML"},"effect_raw":{"$ref":"#/components/schemas/CardEffectRaw"},"element":{"type":"string"},"elements":{"type":"array","items":{"type":"string"}},"flavor":{"$ref":"#/components/schemas/CardFlavor"},"last_update":{"type":"string","format":"date-time"},"level":{"$ref":"#/components/schemas/CardStatLevel"},"life":{"$ref":"#/components/schemas/CardStatLife"},"name":{"type":"string"},"power":{"$ref":"#/components/schemas/CardStatPower"},"slug":{"type":"string"},"speed":{"$ref":"#/components/schemas/CardStatSpeed"},"subtypes":{"description":"The card's subtypes. The possible values are revealed by the `option/search` endpoint.","type":"array","items":{"type":"string"}},"types":{"description":"The card's types. The possible values are revealed by the `option/search` endpoint.","type":"array","items":{"type":"string"}},"uuid":{"type":"string"}},"additionalProperties":false,"required":["classes","cost","cost_memory","cost_reserve","created_at","durability","edition","edition_id","effect","effect_html","effect_raw","element","elements","flavor","last_update","level","life","name","power","slug","speed","subtypes","types","uuid"]}},"rarity":{"description":"The edition's rarity. The possible values are revealed by the `option/search` endpoint.","type":"number"},"slug":{"description":"The edition's URL-friendly slug. This is usually in the format `{card-slug}-{set-prefix}`, but can be extended if additional context is required.","type":"string"},"set":{"type":"object","properties":{"created_at":{"description":"When the dataset was created.","type":"string","format":"date-time"},"id":{"description":"A 10-character alphanumeric UUID.","type":"string"},"language":{"description":"The language used by the dataset.","type":"string"},"last_update":{"description":"When the dataset was last updated.","type":"string","format":"date-time"},"name":{"description":"The name of the set.","type":"string"},"prefix":{"description":"The set's prefix as printed in the footer of its cards.","type":"string"},"release_date":{"description":"When the set was publicly-released.","type":"string","format":"date-time"}},"additionalProperties":false,"required":["created_at","id","language","last_update","name","prefix","release_date"]},"thema_charm_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_ferocity_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_foil":{"$ref":"#/components/schemas/EditionThemaScoreTotal"},"thema_grace_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_mystique_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_valor_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_charm_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_ferocity_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_grace_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_mystique_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_nonfoil":{"$ref":"#/components/schemas/EditionThemaScoreTotal"},"thema_valor_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_foil_dynamic":{"description":"Determines if the Thema scores for the edition are dynamic.\nDynamic Thema scores update daily and are primarily used for added randomization in Path of Silver events.","type":"boolean"},"thema_nonfoil_dynamic":{"description":"Determines if the Thema scores for the edition are dynamic.\nDynamic Thema scores update daily and are primarily used for added randomization in Path of Silver events.","type":"boolean"},"uuid":{"description":"A 10-character alphanumeric UUID.","type":"string"}},"additionalProperties":false,"required":["card_id","circulationTemplates","circulations","collaborators","collector_number","configuration","created_at","effect","effect_html","effect_raw","flavor","illustrator","image","last_update","orientation","other_orientations","rarity","set","slug","thema_charm_foil","thema_charm_nonfoil","thema_ferocity_foil","thema_ferocity_nonfoil","thema_foil","thema_foil_dynamic","thema_grace_foil","thema_grace_nonfoil","thema_mystique_foil","thema_mystique_nonfoil","thema_nonfoil","thema_nonfoil_dynamic","thema_valor_foil","thema_valor_nonfoil","uuid"]}},"rule":{"description":"Additional rules and erratas the card is subject to.","type":"array","items":{"type":"object","properties":{"date_added":{"type":"string"},"description":{"type":"string"},"title":{"type":"string"}},"additionalProperties":false,"required":["date_added","description","title"]}},"speed":{"$ref":"#/components/schemas/CardStatSpeed"},"slug":{"description":"The card's URL-friendly slug.","type":"string"},"subtypes":{"description":"The card's subtypes. The possible values are revealed by the `option/search` endpoint.","type":"array","items":{"type":"string"}},"types":{"description":"The card's types. The possible values are revealed by the `option/search` endpoint.","type":"array","items":{"type":"string"}},"uuid":{"description":"A 10-character alphanumeric UUID.","type":"string"}},"additionalProperties":false,"required":["classes","cost","cost_memory","cost_reserve","created_at","durability","editions","effect","effect_html","effect_raw","element","elements","flavor","last_update","legality","level","life","name","power","referenced_by","references","result_editions","rule","slug","speed","subtypes","types","uuid"]}},"has_more":{"description":"Are there more pages beyond this one with results?","type":"boolean"},"order":{"description":"The order the results are returned.","enum":["ASC","DESC"],"type":"string"},"page":{"description":"The current page.","type":"number"},"page_size":{"description":"The maximum number of results returned per page.","maximum":50,"minimum":1,"type":"number"},"paginated_cards_count":{"description":"The number of cards returned on this page.","type":"number"},"sort":{"description":"The primary field the results are sorted by.","enum":["collector_number","cost_memory","cost_reserve","durability","level","life","name","power","rarity"],"type":"string"},"total_cards":{"description":"The total result count across all pages.","type":"number"},"total_pages":{"description":"The total number of pages.","type":"number"}},"additionalProperties":false,"required":["data","has_more","order","page","page_size","paginated_cards_count","sort","total_cards","total_pages"]}}}}}}}},"components":{"schemas":{"CardCostMemory":{"description":"The card's memory cost (`cost_reserve` will be `null` if this is numeric).\nBe aware that cards can have both memory and reserve cost set to `null` (example: Shifting Currents).","minimum":0,"type":"number","nullable":true,"deprecated":true},"CardCostReserve":{"description":"The card's reserve cost (`cost_memory` will be `null` if this is numeric).\n`-1` represents a card with \"X\" cost (example: Lost in Thought).\nBe aware that cards can have both memory and reserve cost set to `null` (example: Shifting Currents).","minimum":-1,"type":"number","nullable":true,"deprecated":true},"CardStatDurability":{"description":"The card's durability stat.","type":"number","nullable":true},"CirculationTemplate":{"additionalProperties":false,"type":"object","properties":{"kind":{"$ref":"#/components/schemas/CirculationKind","description":"The circulation type."},"population":{"description":"The quantity of editions printed with this circulation.","type":"number"},"population_operator":{"description":"A symbol to describe the accuracy of the population. The possible values are revealed by the `option/search` endpoint.","type":"string"},"printing":{"description":"Is this circulation still in print?","type":"boolean"},"created_at":{"description":"When the dataset was created.","type":"string","format":"date-time"},"edition_id":{"description":"A 10-character alphanumeric UUID.","type":"string"},"foil":{"description":"Is this circulation foil?","type":"boolean"},"uuid":{"description":"A 10-character alphanumeric UUID.","type":"string"},"variants":{"type":"array","items":{"$ref":"#/components/schemas/CirculationVariant"}},"name":{"description":"The circulation template's unique name.","type":"string"}},"required":["created_at","edition_id","foil","kind","name","population","population_operator","printing","uuid","variants"]},"CirculationKind":{"enum":["FOIL","NONFOIL"],"type":"string"},"CirculationVariant":{"description":"Circulation variants describe print variations within specific Circulation and CirculationTemplate types. This is mainly used to describe stamp variants.","additionalProperties":false,"type":"object","properties":{"kind":{"$ref":"#/components/schemas/CirculationKind","description":"The circulation type."},"population":{"description":"The quantity of editions printed with this circulation.","type":"number"},"population_operator":{"description":"A symbol to describe the accuracy of the population. The possible values are revealed by the `option/search` endpoint.","type":"string"},"printing":{"description":"Is this circulation still in print?","type":"boolean"},"created_at":{"description":"When the dataset was created.","type":"string","format":"date-time"},"description":{"description":"A short description of the variant.","type":"string"},"edition_id":{"description":"A 10-character alphanumeric UUID.","type":"string"},"image":{"description":"An API image path (`/cards/images/example.jpg` implies `https://api.gatcg.com/cards/images/example.jpg`).","type":"string"},"last_update":{"description":"When the dataset was last updated.","type":"string","format":"date-time"},"uuid":{"description":"A 10-character alphanumeric UUID.","type":"string"}},"required":["created_at","description","edition_id","image","kind","last_update","population","population_operator","printing","uuid"]},"Circulation":{"description":"The Circulation type describes the print of its parent Edition.","additionalProperties":false,"type":"object","properties":{"kind":{"$ref":"#/components/schemas/CirculationKind","description":"The circulation type."},"population":{"description":"The quantity of editions printed with this circulation.","type":"number"},"population_operator":{"description":"A symbol to describe the accuracy of the population. The possible values are revealed by the `option/search` endpoint.","type":"string"},"printing":{"description":"Is this circulation still in print?","type":"boolean"},"created_at":{"description":"When the dataset was created.","type":"string","format":"date-time"},"edition_id":{"description":"A 10-character alphanumeric UUID.","type":"string"},"foil":{"description":"Is this circulation foil?","type":"boolean"},"uuid":{"description":"A 10-character alphanumeric UUID.","type":"string"},"variants":{"type":"array","items":{"$ref":"#/components/schemas/CirculationVariant"}}},"required":["created_at","edition_id","foil","kind","population","population_operator","printing","uuid","variants"]},"EditionConfiguration":{"description":"The edition's play configuration. The `\"flip\"` response is given on editions which are double-faced.","enum":["default","flip"],"type":"string"},"EditionEffect":{"description":"The edition's specific effect. This is only populated if the value differs from the parent `Card`'s `effect` value.","type":"string","nullable":true},"EditionEffectHTML":{"description":"The edition's specific raw effect. This is `null` if the edition's `effect` value is `null`.","type":"string","nullable":true},"EditionEffectRaw":{"description":"The edition's specific raw effect. This is `null` if the edition's `effect` value is `null`.","type":"string","nullable":true},"EditionFlavor":{"description":"The edition's specific flavor text. This is only populated if the value differs from the parent `Card`'s `flavor` value.","type":"string","nullable":true},"EditionIllustrator":{"description":"The edition's illustrator.","type":"string","nullable":true},"EditionOrientation":{"description":"The edition's orientation. This is set to `\"front\"` or `\"back\"` if the edition's `configuration` is `\"flip\"`, otherwise it will be `null`.","anyOf":[{"enum":["back","front"],"type":"string"}],"nullable":true},"EditionThemaScore":{"description":"One of the edition's Thema score values.","type":"number","nullable":true},"EditionThemaScoreTotal":{"description":"The sum of a range of edition Thema score values.","type":"number","nullable":true},"CardEffectTemplate":{"description":"The card's effect as a template.","type":"string","nullable":true},"CardEffectHTML":{"description":"The card's effect as HTML. This is `null` if the card's `effect` value is `null`.","type":"string","nullable":true,"deprecated":true},"CardEffectRaw":{"description":"The card's effect as plain text. This is `null` if the card's `effect` value is `null`.","type":"string","nullable":true},"CardFlavor":{"description":"The card's flavor text.","type":"string","nullable":true},"CardStatLevel":{"description":"The card's level stat.","type":"number","nullable":true},"CardStatLife":{"description":"The card's life stat.","type":"number","nullable":true},"CardStatPower":{"description":"The card's power stat.","type":"number","nullable":true},"CardStatSpeed":{"description":"The card's speed stat. `true` represents Fast whilst `false` represents Slow.","type":"boolean","nullable":true},"CardLegality":{"description":"Legality limits the card is subject to. This is only populated if the card is limited in certain formats. The possible game format values are revealed by the `option/search` endpoint.","anyOf":[{"type":"object","additionalProperties":{"type":"number"}}],"nullable":true},"CardReferenceKind":{"description":"The reference type.","enum":["BREW","GENERATE","MASTERY","REFERENCE","STATUS","SUMMON"],"type":"string"}}}}
```

## Quick card search.

> This returns a list of up to 10 cards which match the given query.

```json
{"openapi":"3.0.3","info":{"title":"Grand Archive API","version":"1.1.0"},"servers":[{"url":"https://api.gatcg.com","description":"Production server (uses live data)"}],"paths":{"/cards/autocomplete":{"get":{"operationId":"AutocompleteAPISpec_get_/autocomplete","tags":["Multiple cards"],"summary":"Quick card search.","description":"This returns a list of up to 10 cards which match the given query.","parameters":[{"description":"A partial card name to search with.","name":"name","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"A list of matching cards.","content":{"application/json":{"schema":{"description":"A list of matching cards.","type":"array","items":{"type":"object","properties":{"classes":{"description":"The card's classes. The possible values are revealed by the `option/search` endpoint.","type":"array","items":{"type":"string"}},"editions":{"type":"array","items":{"description":"A simplified Edition response.","type":"object","properties":{"card_id":{"description":"A 10-character alphanumeric UUID.","type":"string"},"collector_number":{"description":"The edition's collector number in the set it belongs to.","type":"string"},"effect":{"$ref":"#/components/schemas/EditionEffect"},"effect_raw":{"$ref":"#/components/schemas/EditionEffectRaw"},"flavor":{"$ref":"#/components/schemas/EditionFlavor"},"illustrator":{"$ref":"#/components/schemas/EditionIllustrator"},"rarity":{"description":"The edition's rarity. The possible values are revealed by the `option/search` endpoint.","type":"number"},"slug":{"description":"The edition's URL-friendly slug. This is usually in the format `{card-slug}-{set-prefix}`, but can be extended if additional context is required.","type":"string"},"uuid":{"description":"A 10-character alphanumeric UUID.","type":"string"}},"additionalProperties":false,"required":["card_id","collector_number","effect","effect_raw","flavor","illustrator","rarity","slug","uuid"]}},"name":{"description":"The card's name.","type":"string"},"slug":{"description":"The card's URL-friendly slug.","type":"string"},"subtypes":{"description":"The card's subtypes. The possible values are revealed by the `option/search` endpoint.","type":"array","items":{"type":"string"}},"types":{"description":"The card's types. The possible values are revealed by the `option/search` endpoint.","type":"array","items":{"type":"string"}},"uuid":{"description":"A 10-character alphanumeric UUID.","type":"string"}},"additionalProperties":false,"required":["classes","editions","name","slug","subtypes","types","uuid"]}}}}}}}}},"components":{"schemas":{"EditionEffect":{"description":"The edition's specific effect. This is only populated if the value differs from the parent `Card`'s `effect` value.","type":"string","nullable":true},"EditionEffectRaw":{"description":"The edition's specific raw effect. This is `null` if the edition's `effect` value is `null`.","type":"string","nullable":true},"EditionFlavor":{"description":"The edition's specific flavor text. This is only populated if the value differs from the parent `Card`'s `flavor` value.","type":"string","nullable":true},"EditionIllustrator":{"description":"The edition's illustrator.","type":"string","nullable":true}}}}
```

## GET /cards/random

> Get random cards.

```json
{"openapi":"3.0.3","info":{"title":"Grand Archive API","version":"1.1.0"},"servers":[{"url":"https://api.gatcg.com","description":"Production server (uses live data)"}],"paths":{"/cards/random":{"get":{"operationId":"GetRandomCardsAPISpec_get_/cards/random","tags":["Multiple cards"],"summary":"Get random cards.","parameters":[{"description":"Quantity of random cards to return.","name":"amount","in":"query","required":false,"schema":{"default":8,"minimum":1,"maximum":50,"type":"number"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"array","items":{"description":"The Card type describes a uniquely-named card, with child Edition types denoting different releases.","type":"object","properties":{"classes":{"description":"The card's classes. The possible values are revealed by the `option/search` endpoint.","type":"array","items":{"type":"string"}},"cost_memory":{"$ref":"#/components/schemas/CardCostMemory"},"cost_reserve":{"$ref":"#/components/schemas/CardCostReserve"},"cost":{"description":"The card's cost.","type":"object","properties":{"type":{"description":"The cost type.","enum":["memory","none","reserve"],"type":"string"},"value":{"description":"The cost value.\nThis is a number represented as a string, or a dynamic cost like `\"X\"`.\nThis is only `null` if the cost type is `\"none\"`.","type":"string","nullable":true}},"additionalProperties":false,"required":["type","value"]},"created_at":{"description":"When the dataset was created.","type":"string","format":"date-time"},"durability":{"$ref":"#/components/schemas/CardStatDurability"},"editions":{"description":"A list of all editions this card is a parent of.","type":"array","items":{"description":"The Edition type describes a specific release of its parent Card.","type":"object","properties":{"card_id":{"description":"A 10-character alphanumeric UUID.","type":"string"},"circulationTemplates":{"description":"Templated prints of this edition which are shared with other editions of this or any other card.","type":"array","items":{"$ref":"#/components/schemas/CirculationTemplate"}},"circulations":{"description":"Non-templated prints of this edition which are not shared with other editions of any other card.","type":"array","items":{"$ref":"#/components/schemas/Circulation"}},"collaborators":{"description":"Collaborators that worked on the edition's artwork alongside the edition's illustrator.","type":"array","items":{"type":"string"}},"collector_number":{"description":"The edition's collector number in the set it belongs to.","type":"string"},"configuration":{"$ref":"#/components/schemas/EditionConfiguration"},"created_at":{"description":"When the dataset was created.","type":"string","format":"date-time"},"effect":{"$ref":"#/components/schemas/EditionEffect"},"effect_html":{"$ref":"#/components/schemas/EditionEffectHTML"},"effect_raw":{"$ref":"#/components/schemas/EditionEffectRaw"},"flavor":{"$ref":"#/components/schemas/EditionFlavor"},"illustrator":{"$ref":"#/components/schemas/EditionIllustrator"},"image":{"description":"An API image path (`/cards/images/example.jpg` implies `https://api.gatcg.com/cards/images/example.jpg`).","type":"string"},"last_update":{"description":"When the dataset was last updated.","type":"string","format":"date-time"},"orientation":{"$ref":"#/components/schemas/EditionOrientation"},"other_orientations":{"description":"Other orientations related to this edition.","type":"array","items":{"description":"Other orientations that relate to this one. This will return the back face for editions with an `orientation` set to `\"front\"`, and vice versa.","type":"object","properties":{"classes":{"description":"The card's classes. The possible values are revealed by the `option/search` endpoint.","type":"array","items":{"type":"string"}},"cost":{"description":"The card's cost.","type":"object","properties":{"type":{"description":"The cost type.","enum":["memory","none","reserve"],"type":"string"},"value":{"description":"The cost value.\nThis is a number represented as a string, or a dynamic cost like `\"X\"`.\nThis is only `null` if the cost type is `\"none\"`.","type":"string","nullable":true}},"additionalProperties":false,"required":["type","value"]},"cost_memory":{"$ref":"#/components/schemas/CardCostMemory"},"cost_reserve":{"$ref":"#/components/schemas/CardCostReserve"},"created_at":{"type":"string","format":"date-time"},"durability":{"$ref":"#/components/schemas/CardStatDurability"},"edition":{"type":"object","properties":{"card_id":{"type":"string"},"collaborators":{"type":"array","items":{"type":"string"}},"collector_number":{"type":"string"},"configuration":{"$ref":"#/components/schemas/EditionConfiguration"},"created_at":{"type":"string","format":"date-time"},"effect":{"$ref":"#/components/schemas/EditionEffect"},"effect_html":{"$ref":"#/components/schemas/EditionEffectHTML"},"effect_raw":{"$ref":"#/components/schemas/EditionEffectRaw"},"flavor":{"$ref":"#/components/schemas/EditionFlavor"},"illustrator":{"$ref":"#/components/schemas/EditionIllustrator"},"image":{"type":"string"},"last_update":{"type":"string","format":"date-time"},"orientation":{"$ref":"#/components/schemas/EditionOrientation"},"rarity":{"type":"number"},"set":{"type":"object","properties":{"created_at":{"description":"When the dataset was created.","type":"string","format":"date-time"},"id":{"description":"A 10-character alphanumeric UUID.","type":"string"},"language":{"description":"The language used by the dataset.","type":"string"},"last_update":{"description":"When the dataset was last updated.","type":"string","format":"date-time"},"name":{"description":"The name of the set.","type":"string"},"prefix":{"description":"The set's prefix as printed in the footer of its cards.","type":"string"},"release_date":{"description":"When the set was publicly-released.","type":"string","format":"date-time"}},"additionalProperties":false,"required":["created_at","id","language","last_update","name","prefix","release_date"]},"slug":{"type":"string"},"thema_charm_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_ferocity_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_foil":{"$ref":"#/components/schemas/EditionThemaScoreTotal"},"thema_grace_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_mystique_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_valor_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_charm_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_ferocity_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_grace_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_mystique_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_nonfoil":{"$ref":"#/components/schemas/EditionThemaScoreTotal"},"thema_valor_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_foil_dynamic":{"type":"boolean"},"thema_nonfoil_dynamic":{"type":"boolean"},"uuid":{"type":"string"}},"additionalProperties":false,"required":["card_id","collaborators","collector_number","configuration","created_at","effect","effect_html","effect_raw","flavor","illustrator","image","last_update","orientation","rarity","set","slug","thema_charm_foil","thema_charm_nonfoil","thema_ferocity_foil","thema_ferocity_nonfoil","thema_foil","thema_foil_dynamic","thema_grace_foil","thema_grace_nonfoil","thema_mystique_foil","thema_mystique_nonfoil","thema_nonfoil","thema_nonfoil_dynamic","thema_valor_foil","thema_valor_nonfoil","uuid"]},"edition_id":{"type":"string"},"effect":{"$ref":"#/components/schemas/CardEffectTemplate"},"effect_html":{"$ref":"#/components/schemas/CardEffectHTML"},"effect_raw":{"$ref":"#/components/schemas/CardEffectRaw"},"element":{"type":"string"},"elements":{"type":"array","items":{"type":"string"}},"flavor":{"$ref":"#/components/schemas/CardFlavor"},"last_update":{"type":"string","format":"date-time"},"level":{"$ref":"#/components/schemas/CardStatLevel"},"life":{"$ref":"#/components/schemas/CardStatLife"},"name":{"type":"string"},"power":{"$ref":"#/components/schemas/CardStatPower"},"slug":{"type":"string"},"speed":{"$ref":"#/components/schemas/CardStatSpeed"},"subtypes":{"description":"The card's subtypes. The possible values are revealed by the `option/search` endpoint.","type":"array","items":{"type":"string"}},"types":{"description":"The card's types. The possible values are revealed by the `option/search` endpoint.","type":"array","items":{"type":"string"}},"uuid":{"type":"string"}},"additionalProperties":false,"required":["classes","cost","cost_memory","cost_reserve","created_at","durability","edition","edition_id","effect","effect_html","effect_raw","element","elements","flavor","last_update","level","life","name","power","slug","speed","subtypes","types","uuid"]}},"rarity":{"description":"The edition's rarity. The possible values are revealed by the `option/search` endpoint.","type":"number"},"slug":{"description":"The edition's URL-friendly slug. This is usually in the format `{card-slug}-{set-prefix}`, but can be extended if additional context is required.","type":"string"},"set":{"type":"object","properties":{"created_at":{"description":"When the dataset was created.","type":"string","format":"date-time"},"id":{"description":"A 10-character alphanumeric UUID.","type":"string"},"language":{"description":"The language used by the dataset.","type":"string"},"last_update":{"description":"When the dataset was last updated.","type":"string","format":"date-time"},"name":{"description":"The name of the set.","type":"string"},"prefix":{"description":"The set's prefix as printed in the footer of its cards.","type":"string"},"release_date":{"description":"When the set was publicly-released.","type":"string","format":"date-time"}},"additionalProperties":false,"required":["created_at","id","language","last_update","name","prefix","release_date"]},"thema_charm_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_ferocity_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_foil":{"$ref":"#/components/schemas/EditionThemaScoreTotal"},"thema_grace_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_mystique_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_valor_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_charm_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_ferocity_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_grace_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_mystique_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_nonfoil":{"$ref":"#/components/schemas/EditionThemaScoreTotal"},"thema_valor_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_foil_dynamic":{"description":"Determines if the Thema scores for the edition are dynamic.\nDynamic Thema scores update daily and are primarily used for added randomization in Path of Silver events.","type":"boolean"},"thema_nonfoil_dynamic":{"description":"Determines if the Thema scores for the edition are dynamic.\nDynamic Thema scores update daily and are primarily used for added randomization in Path of Silver events.","type":"boolean"},"uuid":{"description":"A 10-character alphanumeric UUID.","type":"string"}},"additionalProperties":false,"required":["card_id","circulationTemplates","circulations","collaborators","collector_number","configuration","created_at","effect","effect_html","effect_raw","flavor","illustrator","image","last_update","orientation","other_orientations","rarity","set","slug","thema_charm_foil","thema_charm_nonfoil","thema_ferocity_foil","thema_ferocity_nonfoil","thema_foil","thema_foil_dynamic","thema_grace_foil","thema_grace_nonfoil","thema_mystique_foil","thema_mystique_nonfoil","thema_nonfoil","thema_nonfoil_dynamic","thema_valor_foil","thema_valor_nonfoil","uuid"]}},"element":{"description":"The card's element. The possible values are revealed by the `option/search` endpoint.","type":"string","deprecated":true},"elements":{"description":"The card's element(s). The possible values are revealed by the `option/search` endpoint.","type":"array","items":{"type":"string"}},"effect":{"$ref":"#/components/schemas/CardEffectTemplate"},"effect_html":{"$ref":"#/components/schemas/CardEffectHTML"},"effect_raw":{"$ref":"#/components/schemas/CardEffectRaw"},"flavor":{"$ref":"#/components/schemas/CardFlavor"},"last_update":{"description":"When the dataset was last updated.","type":"string","format":"date-time"},"legality":{"$ref":"#/components/schemas/CardLegality"},"level":{"$ref":"#/components/schemas/CardStatLevel"},"life":{"$ref":"#/components/schemas/CardStatLife"},"name":{"description":"The card's name.","type":"string"},"power":{"$ref":"#/components/schemas/CardStatPower"},"referenced_by":{"description":"References made to this card by other cards.","type":"array","items":{"type":"object","properties":{"direction":{"type":"string","enum":["FROM"]},"kind":{"$ref":"#/components/schemas/CardReferenceKind"},"name":{"description":"The card's name.","type":"string"},"slug":{"description":"The card's URL-friendly slug.","type":"string"}},"additionalProperties":false,"required":["direction","kind","name","slug"]}},"references":{"description":"References this card makes to other cards.","type":"array","items":{"type":"object","properties":{"direction":{"type":"string","enum":["TO"]},"kind":{"$ref":"#/components/schemas/CardReferenceKind"},"name":{"description":"The card's name.","type":"string"},"slug":{"description":"The card's URL-friendly slug.","type":"string"}},"additionalProperties":false,"required":["direction","kind","name","slug"]}},"result_editions":{"description":"A list of all editions this card is a parent of which match the given query.","type":"array","items":{"description":"The Edition type describes a specific release of its parent Card.","type":"object","properties":{"card_id":{"description":"A 10-character alphanumeric UUID.","type":"string"},"circulationTemplates":{"description":"Templated prints of this edition which are shared with other editions of this or any other card.","type":"array","items":{"$ref":"#/components/schemas/CirculationTemplate"}},"circulations":{"description":"Non-templated prints of this edition which are not shared with other editions of any other card.","type":"array","items":{"$ref":"#/components/schemas/Circulation"}},"collaborators":{"description":"Collaborators that worked on the edition's artwork alongside the edition's illustrator.","type":"array","items":{"type":"string"}},"collector_number":{"description":"The edition's collector number in the set it belongs to.","type":"string"},"configuration":{"$ref":"#/components/schemas/EditionConfiguration"},"created_at":{"description":"When the dataset was created.","type":"string","format":"date-time"},"effect":{"$ref":"#/components/schemas/EditionEffect"},"effect_html":{"$ref":"#/components/schemas/EditionEffectHTML"},"effect_raw":{"$ref":"#/components/schemas/EditionEffectRaw"},"flavor":{"$ref":"#/components/schemas/EditionFlavor"},"illustrator":{"$ref":"#/components/schemas/EditionIllustrator"},"image":{"description":"An API image path (`/cards/images/example.jpg` implies `https://api.gatcg.com/cards/images/example.jpg`).","type":"string"},"last_update":{"description":"When the dataset was last updated.","type":"string","format":"date-time"},"orientation":{"$ref":"#/components/schemas/EditionOrientation"},"other_orientations":{"description":"Other orientations related to this edition.","type":"array","items":{"description":"Other orientations that relate to this one. This will return the back face for editions with an `orientation` set to `\"front\"`, and vice versa.","type":"object","properties":{"classes":{"description":"The card's classes. The possible values are revealed by the `option/search` endpoint.","type":"array","items":{"type":"string"}},"cost":{"description":"The card's cost.","type":"object","properties":{"type":{"description":"The cost type.","enum":["memory","none","reserve"],"type":"string"},"value":{"description":"The cost value.\nThis is a number represented as a string, or a dynamic cost like `\"X\"`.\nThis is only `null` if the cost type is `\"none\"`.","type":"string","nullable":true}},"additionalProperties":false,"required":["type","value"]},"cost_memory":{"$ref":"#/components/schemas/CardCostMemory"},"cost_reserve":{"$ref":"#/components/schemas/CardCostReserve"},"created_at":{"type":"string","format":"date-time"},"durability":{"$ref":"#/components/schemas/CardStatDurability"},"edition":{"type":"object","properties":{"card_id":{"type":"string"},"collaborators":{"type":"array","items":{"type":"string"}},"collector_number":{"type":"string"},"configuration":{"$ref":"#/components/schemas/EditionConfiguration"},"created_at":{"type":"string","format":"date-time"},"effect":{"$ref":"#/components/schemas/EditionEffect"},"effect_html":{"$ref":"#/components/schemas/EditionEffectHTML"},"effect_raw":{"$ref":"#/components/schemas/EditionEffectRaw"},"flavor":{"$ref":"#/components/schemas/EditionFlavor"},"illustrator":{"$ref":"#/components/schemas/EditionIllustrator"},"image":{"type":"string"},"last_update":{"type":"string","format":"date-time"},"orientation":{"$ref":"#/components/schemas/EditionOrientation"},"rarity":{"type":"number"},"set":{"type":"object","properties":{"created_at":{"description":"When the dataset was created.","type":"string","format":"date-time"},"id":{"description":"A 10-character alphanumeric UUID.","type":"string"},"language":{"description":"The language used by the dataset.","type":"string"},"last_update":{"description":"When the dataset was last updated.","type":"string","format":"date-time"},"name":{"description":"The name of the set.","type":"string"},"prefix":{"description":"The set's prefix as printed in the footer of its cards.","type":"string"},"release_date":{"description":"When the set was publicly-released.","type":"string","format":"date-time"}},"additionalProperties":false,"required":["created_at","id","language","last_update","name","prefix","release_date"]},"slug":{"type":"string"},"thema_charm_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_ferocity_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_foil":{"$ref":"#/components/schemas/EditionThemaScoreTotal"},"thema_grace_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_mystique_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_valor_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_charm_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_ferocity_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_grace_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_mystique_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_nonfoil":{"$ref":"#/components/schemas/EditionThemaScoreTotal"},"thema_valor_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_foil_dynamic":{"type":"boolean"},"thema_nonfoil_dynamic":{"type":"boolean"},"uuid":{"type":"string"}},"additionalProperties":false,"required":["card_id","collaborators","collector_number","configuration","created_at","effect","effect_html","effect_raw","flavor","illustrator","image","last_update","orientation","rarity","set","slug","thema_charm_foil","thema_charm_nonfoil","thema_ferocity_foil","thema_ferocity_nonfoil","thema_foil","thema_foil_dynamic","thema_grace_foil","thema_grace_nonfoil","thema_mystique_foil","thema_mystique_nonfoil","thema_nonfoil","thema_nonfoil_dynamic","thema_valor_foil","thema_valor_nonfoil","uuid"]},"edition_id":{"type":"string"},"effect":{"$ref":"#/components/schemas/CardEffectTemplate"},"effect_html":{"$ref":"#/components/schemas/CardEffectHTML"},"effect_raw":{"$ref":"#/components/schemas/CardEffectRaw"},"element":{"type":"string"},"elements":{"type":"array","items":{"type":"string"}},"flavor":{"$ref":"#/components/schemas/CardFlavor"},"last_update":{"type":"string","format":"date-time"},"level":{"$ref":"#/components/schemas/CardStatLevel"},"life":{"$ref":"#/components/schemas/CardStatLife"},"name":{"type":"string"},"power":{"$ref":"#/components/schemas/CardStatPower"},"slug":{"type":"string"},"speed":{"$ref":"#/components/schemas/CardStatSpeed"},"subtypes":{"description":"The card's subtypes. The possible values are revealed by the `option/search` endpoint.","type":"array","items":{"type":"string"}},"types":{"description":"The card's types. The possible values are revealed by the `option/search` endpoint.","type":"array","items":{"type":"string"}},"uuid":{"type":"string"}},"additionalProperties":false,"required":["classes","cost","cost_memory","cost_reserve","created_at","durability","edition","edition_id","effect","effect_html","effect_raw","element","elements","flavor","last_update","level","life","name","power","slug","speed","subtypes","types","uuid"]}},"rarity":{"description":"The edition's rarity. The possible values are revealed by the `option/search` endpoint.","type":"number"},"slug":{"description":"The edition's URL-friendly slug. This is usually in the format `{card-slug}-{set-prefix}`, but can be extended if additional context is required.","type":"string"},"set":{"type":"object","properties":{"created_at":{"description":"When the dataset was created.","type":"string","format":"date-time"},"id":{"description":"A 10-character alphanumeric UUID.","type":"string"},"language":{"description":"The language used by the dataset.","type":"string"},"last_update":{"description":"When the dataset was last updated.","type":"string","format":"date-time"},"name":{"description":"The name of the set.","type":"string"},"prefix":{"description":"The set's prefix as printed in the footer of its cards.","type":"string"},"release_date":{"description":"When the set was publicly-released.","type":"string","format":"date-time"}},"additionalProperties":false,"required":["created_at","id","language","last_update","name","prefix","release_date"]},"thema_charm_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_ferocity_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_foil":{"$ref":"#/components/schemas/EditionThemaScoreTotal"},"thema_grace_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_mystique_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_valor_foil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_charm_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_ferocity_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_grace_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_mystique_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_nonfoil":{"$ref":"#/components/schemas/EditionThemaScoreTotal"},"thema_valor_nonfoil":{"$ref":"#/components/schemas/EditionThemaScore"},"thema_foil_dynamic":{"description":"Determines if the Thema scores for the edition are dynamic.\nDynamic Thema scores update daily and are primarily used for added randomization in Path of Silver events.","type":"boolean"},"thema_nonfoil_dynamic":{"description":"Determines if the Thema scores for the edition are dynamic.\nDynamic Thema scores update daily and are primarily used for added randomization in Path of Silver events.","type":"boolean"},"uuid":{"description":"A 10-character alphanumeric UUID.","type":"string"}},"additionalProperties":false,"required":["card_id","circulationTemplates","circulations","collaborators","collector_number","configuration","created_at","effect","effect_html","effect_raw","flavor","illustrator","image","last_update","orientation","other_orientations","rarity","set","slug","thema_charm_foil","thema_charm_nonfoil","thema_ferocity_foil","thema_ferocity_nonfoil","thema_foil","thema_foil_dynamic","thema_grace_foil","thema_grace_nonfoil","thema_mystique_foil","thema_mystique_nonfoil","thema_nonfoil","thema_nonfoil_dynamic","thema_valor_foil","thema_valor_nonfoil","uuid"]}},"rule":{"description":"Additional rules and erratas the card is subject to.","type":"array","items":{"type":"object","properties":{"date_added":{"type":"string"},"description":{"type":"string"},"title":{"type":"string"}},"additionalProperties":false,"required":["date_added","description","title"]}},"speed":{"$ref":"#/components/schemas/CardStatSpeed"},"slug":{"description":"The card's URL-friendly slug.","type":"string"},"subtypes":{"description":"The card's subtypes. The possible values are revealed by the `option/search` endpoint.","type":"array","items":{"type":"string"}},"types":{"description":"The card's types. The possible values are revealed by the `option/search` endpoint.","type":"array","items":{"type":"string"}},"uuid":{"description":"A 10-character alphanumeric UUID.","type":"string"}},"additionalProperties":false,"required":["classes","cost","cost_memory","cost_reserve","created_at","durability","editions","effect","effect_html","effect_raw","element","elements","flavor","last_update","legality","level","life","name","power","referenced_by","references","result_editions","rule","slug","speed","subtypes","types","uuid"]}}}}},"404":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"description":"Error message.","type":"string"}},"additionalProperties":false,"required":["error"]}}}}}}}},"components":{"schemas":{"CardCostMemory":{"description":"The card's memory cost (`cost_reserve` will be `null` if this is numeric).\nBe aware that cards can have both memory and reserve cost set to `null` (example: Shifting Currents).","minimum":0,"type":"number","nullable":true,"deprecated":true},"CardCostReserve":{"description":"The card's reserve cost (`cost_memory` will be `null` if this is numeric).\n`-1` represents a card with \"X\" cost (example: Lost in Thought).\nBe aware that cards can have both memory and reserve cost set to `null` (example: Shifting Currents).","minimum":-1,"type":"number","nullable":true,"deprecated":true},"CardStatDurability":{"description":"The card's durability stat.","type":"number","nullable":true},"CirculationTemplate":{"additionalProperties":false,"type":"object","properties":{"kind":{"$ref":"#/components/schemas/CirculationKind","description":"The circulation type."},"population":{"description":"The quantity of editions printed with this circulation.","type":"number"},"population_operator":{"description":"A symbol to describe the accuracy of the population. The possible values are revealed by the `option/search` endpoint.","type":"string"},"printing":{"description":"Is this circulation still in print?","type":"boolean"},"created_at":{"description":"When the dataset was created.","type":"string","format":"date-time"},"edition_id":{"description":"A 10-character alphanumeric UUID.","type":"string"},"foil":{"description":"Is this circulation foil?","type":"boolean"},"uuid":{"description":"A 10-character alphanumeric UUID.","type":"string"},"variants":{"type":"array","items":{"$ref":"#/components/schemas/CirculationVariant"}},"name":{"description":"The circulation template's unique name.","type":"string"}},"required":["created_at","edition_id","foil","kind","name","population","population_operator","printing","uuid","variants"]},"CirculationKind":{"enum":["FOIL","NONFOIL"],"type":"string"},"CirculationVariant":{"description":"Circulation variants describe print variations within specific Circulation and CirculationTemplate types. This is mainly used to describe stamp variants.","additionalProperties":false,"type":"object","properties":{"kind":{"$ref":"#/components/schemas/CirculationKind","description":"The circulation type."},"population":{"description":"The quantity of editions printed with this circulation.","type":"number"},"population_operator":{"description":"A symbol to describe the accuracy of the population. The possible values are revealed by the `option/search` endpoint.","type":"string"},"printing":{"description":"Is this circulation still in print?","type":"boolean"},"created_at":{"description":"When the dataset was created.","type":"string","format":"date-time"},"description":{"description":"A short description of the variant.","type":"string"},"edition_id":{"description":"A 10-character alphanumeric UUID.","type":"string"},"image":{"description":"An API image path (`/cards/images/example.jpg` implies `https://api.gatcg.com/cards/images/example.jpg`).","type":"string"},"last_update":{"description":"When the dataset was last updated.","type":"string","format":"date-time"},"uuid":{"description":"A 10-character alphanumeric UUID.","type":"string"}},"required":["created_at","description","edition_id","image","kind","last_update","population","population_operator","printing","uuid"]},"Circulation":{"description":"The Circulation type describes the print of its parent Edition.","additionalProperties":false,"type":"object","properties":{"kind":{"$ref":"#/components/schemas/CirculationKind","description":"The circulation type."},"population":{"description":"The quantity of editions printed with this circulation.","type":"number"},"population_operator":{"description":"A symbol to describe the accuracy of the population. The possible values are revealed by the `option/search` endpoint.","type":"string"},"printing":{"description":"Is this circulation still in print?","type":"boolean"},"created_at":{"description":"When the dataset was created.","type":"string","format":"date-time"},"edition_id":{"description":"A 10-character alphanumeric UUID.","type":"string"},"foil":{"description":"Is this circulation foil?","type":"boolean"},"uuid":{"description":"A 10-character alphanumeric UUID.","type":"string"},"variants":{"type":"array","items":{"$ref":"#/components/schemas/CirculationVariant"}}},"required":["created_at","edition_id","foil","kind","population","population_operator","printing","uuid","variants"]},"EditionConfiguration":{"description":"The edition's play configuration. The `\"flip\"` response is given on editions which are double-faced.","enum":["default","flip"],"type":"string"},"EditionEffect":{"description":"The edition's specific effect. This is only populated if the value differs from the parent `Card`'s `effect` value.","type":"string","nullable":true},"EditionEffectHTML":{"description":"The edition's specific raw effect. This is `null` if the edition's `effect` value is `null`.","type":"string","nullable":true},"EditionEffectRaw":{"description":"The edition's specific raw effect. This is `null` if the edition's `effect` value is `null`.","type":"string","nullable":true},"EditionFlavor":{"description":"The edition's specific flavor text. This is only populated if the value differs from the parent `Card`'s `flavor` value.","type":"string","nullable":true},"EditionIllustrator":{"description":"The edition's illustrator.","type":"string","nullable":true},"EditionOrientation":{"description":"The edition's orientation. This is set to `\"front\"` or `\"back\"` if the edition's `configuration` is `\"flip\"`, otherwise it will be `null`.","anyOf":[{"enum":["back","front"],"type":"string"}],"nullable":true},"EditionThemaScore":{"description":"One of the edition's Thema score values.","type":"number","nullable":true},"EditionThemaScoreTotal":{"description":"The sum of a range of edition Thema score values.","type":"number","nullable":true},"CardEffectTemplate":{"description":"The card's effect as a template.","type":"string","nullable":true},"CardEffectHTML":{"description":"The card's effect as HTML. This is `null` if the card's `effect` value is `null`.","type":"string","nullable":true,"deprecated":true},"CardEffectRaw":{"description":"The card's effect as plain text. This is `null` if the card's `effect` value is `null`.","type":"string","nullable":true},"CardFlavor":{"description":"The card's flavor text.","type":"string","nullable":true},"CardStatLevel":{"description":"The card's level stat.","type":"number","nullable":true},"CardStatLife":{"description":"The card's life stat.","type":"number","nullable":true},"CardStatPower":{"description":"The card's power stat.","type":"number","nullable":true},"CardStatSpeed":{"description":"The card's speed stat. `true` represents Fast whilst `false` represents Slow.","type":"boolean","nullable":true},"CardLegality":{"description":"Legality limits the card is subject to. This is only populated if the card is limited in certain formats. The possible game format values are revealed by the `option/search` endpoint.","anyOf":[{"type":"object","additionalProperties":{"type":"number"}}],"nullable":true},"CardReferenceKind":{"description":"The reference type.","enum":["BREW","GENERATE","MASTERY","REFERENCE","STATUS","SUMMON"],"type":"string"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.gatcg.com/endpoints/multiple-cards.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
